# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-threaded-multihost
%global pkgname  django-threaded-multihost
%global hg_date    20120717
%global hg_version 80ee24

Name:           python-module-django-threaded-multihost
Version:        1.4.0
Release:        alt1_5.%{hg_date}hg%{hg_version}
Summary:        Django module to enable multi-site awareness in Django apps

Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/bkroeze/%{pkgname}

# hg clone https://bitbucket.org/bkroeze/django-threaded-multihost django-threaded-multihost-1.4.0
# rm -fr django-threaded-multihost-1.4.0/.hg django-threaded-multihost-1.4.0/.hgignore
# tar -cJvf {pkgname}-{version}.{hg_date}hg{hg_version}.tar.xz {pkgname}-{version}

Source0:        %{pkgname}-%{version}.%{hg_date}hg%{hg_version}.tar.xz
Patch0:         setup.patch

BuildArch:      noarch
BuildRequires:  python-module-setuptools
BuildRequires:  python-devel


Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < 1.4.0-4.20120717hg80ee24
Source44: import.info

%description
django-threaded multihost provides support utilities to
enable easy multi-site awareness in Django apps.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p0 

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc docs/ LICENSE.rst
%{python_sitelibdir_noarch}/threaded_multihost/
%{python_sitelibdir_noarch}/*.egg-info/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_5.20120717hg80ee24
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_4.20120717hg80ee24
- initial fc import

